Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.jws
Annotation Type WebMethod

    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public @interface WebMethod

Customizes a method that is exposed as a Web Service operation. The associated method must be public and its parameters return value, and exceptions must follow the rules defined in JAX-RPC 1.1, section 5. The method is not required to throw java.rmi.RemoteException.

Optional Element Summary
`String` | `action` The action for this operation.
`boolean` | `exclude` Marks a method to NOT be exposed as a web method.
`String` | `operationName` Name of the wsdl:operation matching this method.

### operationName

    public abstract String operationName

  Name of the wsdl:operation matching this method.

  Default:
    ""

### action

    public abstract String action

  The action for this operation.

  For SOAP bindings, this determines the value of the soap action.

  Default:
    ""

### exclude

    public abstract boolean exclude

  Marks a method to NOT be exposed as a web method.

  Used to stop an inherited method from being exposed as part of this web service. If this element is specified, other elements MUST NOT be specified for the @WebMethod.

  This member-value is not allowed on endpoint interfaces.

  Since:
    2.0
  Default:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.